# H248_AmmDescriptor Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_mediaDescriptor, e_modemDescriptor, e_muxDescriptor, e_eventsDescriptor, e_eventBufferDescriptor, e_signalsDescriptor, e_digitMapDescriptor, e_auditDescriptor }

## Public Member Functions

| H248_AmmDescriptor (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_MediaDescriptor & ()
| operator const H248_MediaDescriptor & () const
| operator H248_ModemDescriptor & ()
| operator const H248_ModemDescriptor & () const
| operator H248_MuxDescriptor & ()
| operator const H248_MuxDescriptor & () const
| operator H248_EventsDescriptor & ()
| operator const H248_EventsDescriptor & () const
| operator H248_EventBufferDescriptor & ()
| operator const H248_EventBufferDescriptor & () const
| operator H248_SignalsDescriptor & ()
| operator const H248_SignalsDescriptor & () const
| operator H248_DigitMapDescriptor & ()
| operator const H248_DigitMapDescriptor & () const
| operator H248_AuditDescriptor & ()
| operator const H248_AuditDescriptor & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_AmmDescriptor::Choices

Enumerator:

  e_mediaDescriptor |
  e_modemDescriptor |
  e_muxDescriptor |
  e_eventsDescriptor |
  e_eventBufferDescriptor |
  e_signalsDescriptor |
  e_digitMapDescriptor |
  e_auditDescriptor |

## Constructor & Destructor Documentation

H248_AmmDescriptor::H248_AmmDescriptor | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_AmmDescriptor::operator H248_MediaDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_MediaDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_ModemDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_ModemDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_MuxDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_MuxDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_EventsDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_EventsDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_EventBufferDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_EventBufferDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_SignalsDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_SignalsDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_DigitMapDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_DigitMapDescriptor & | ( |  | ) | const

H248_AmmDescriptor::operator H248_AuditDescriptor & | ( |  | ) |

H248_AmmDescriptor::operator const H248_AuditDescriptor & | ( |  | ) | const

PBoolean H248_AmmDescriptor::CreateObject | ( |  | ) |

PObject* H248_AmmDescriptor::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h